USE SQL2008SBS
GO

DECLARE @dialog_handle  UNIQUEIDENTIFIER

BEGIN TRANSACTION

BEGIN DIALOG CONVERSATION @dialog_handle
FROM SERVICE [//SQL2008SBS/Partner/OrderAcknowledgeService]
TO SERVICE '//SQL2008SBS/Partner/SubmitOrderService'
ON CONTRACT [//SQL2008SBS/Partner/SubmitOrder];

SEND ON CONVERSATION @dialog_handle
MESSAGE TYPE [//SQL2008SBS/Partner/PartnerOrderSubmit]
(N'<Customer xmlns="urn:schemas-microsoft-com:sql:SqlRowSet2">
  <CompanyName>Wide World Importers</CompanyName>
  <OrderLine>
    <SKU>1-2RB1-2RO</SKU>
    <Quantity>10</Quantity>
  </OrderLine>
  <OrderLine>
    <SKU>1-4RB1-2RO</SKU>
    <Quantity>10</Quantity>
  </OrderLine>
</Customer>')

COMMIT TRANSACTION
GO

SELECT * FROM OrderSubmitQueue
GO 
SELECT * FROM OrderAcknowledgeQueue
GO

SELECT * FROM sys.conversation_endpoints
GO

--View results
SELECT OrderID, CustomerID, OrderDate, SubTotal, TaxAmount, ShippingAmount, 
    GrandTotal, FinalShipDate
FROM Orders.OrderHeader
GO

SELECT OrderDetailID, OrderID, SKU, Quantity, UnitPrice, ShipDate
FROM Orders.OrderDetail
GO

SELECT PartnerOrder
FROM Orders.InvalidOrders
GO